Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: new install girder 6 on raspberry pi3 struggling

  1. #1
    Join Date
    Sep 2008
    Posts
    150

    Default new install girder 6 on raspberry pi3 struggling

    Hi,
    I'v been using girder 5 for years now, but thought i'd dabble with girder 6 on the raspberry pi.
    I've followed the install instructions to the letter, but I'm struggling at the step to install girder.
    I get the following:
    Code:
    root@raspberrypi:/home/pi# apt-get install girder
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
     girder : Depends: qt5-girder (>= 5.3.2-1) but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    root@raspberrypi:/home/pi#
    Should this still work?
    Cheers
    Jon

  2. #2
    Join Date
    Sep 2008
    Posts
    150

    Default

    Although i searched for this initially, and did not find anything, I tried some different keywords and found this similar issue:
    https://www.promixis.com/forums/show...ght=qt5-girder
    Is it related?

  3. #3
    Join Date
    Sep 2008
    Posts
    150

    Default

    Bump. Any help please? I'd like to get this up and running. Thanks. Jon

  4. #4
    Join Date
    Sep 2008
    Posts
    150

    Default

    Any help please? I'd like to get this up and running. Thanks. Jon

  5. #5
    Join Date
    Jan 1998
    Location
    Jupiter, FL
    Posts
    13,553

    Default

    Let me see if I can do a recompile against a recent RPI image...
    Ron
    No support through PM

  6. #6
    Join Date
    Sep 2008
    Posts
    150

    Default

    Appreciate it, thanks.
    Jon

  7. #7
    Join Date
    Jan 1998
    Location
    Jupiter, FL
    Posts
    13,553

    Default

    I've rebuild Girder 6.0.19.1 against the latest RPI jessie. Give it a go now. If it still doesn't work report back with the contents of /etc/apt/sources.list.d/promixis.list
    Ron
    No support through PM

  8. #8
    Join Date
    Sep 2008
    Posts
    150

    Default

    same issue I'm afraid....

    i have a completely fresh install of jessie on a raspberry pi 3.
    I've added the file promixis.list into the folder /etc/apt/sources.list.d as downloaded from the instructions, by running gksudo, then pcmanfm as root, with the contents:
    <code>
    deb http://www.promixis.com/repo/debian/wheezy wheezy main
    </code>

    this is the data from my terminal:

    <code>
    pi@raspberrypi:~ $ sudo su
    root@raspberrypi:/home/pi# wget -O - http://www.promixis.com/repo/debian/...xiscom.gpg.key | sudo apt-key add -
    --2017-05-02 20:56:34-- http://www.promixis.com/repo/debian/...xiscom.gpg.key
    Resolving www.promixis.com (www.promixis.com)... 207.58.139.225
    Connecting to www.promixis.com (www.promixis.com)|207.58.139.225|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 1731 (1.7K) [text/plain]
    Saving to: ‘STDOUT’

    - 100%[=====================>] 1.69K --.-KB/s in 0s

    2017-05-02 20:56:34 (80.2 MB/s) - written to stdout [1731/1731]

    OK
    root@raspberrypi:/home/pi# apt-get update
    Get:1 http://archive.raspberrypi.org jessie InRelease [22.9 kB]
    Get:2 http://mirrordirector.raspbian.org jessie InRelease [12.2 kB]
    Get:3 http://www.promixis.com wheezy InRelease [2,192 B]
    Get:4 http://mirrordirector.raspbian.org jessie/main armhf Packages [9,531 kB]
    Get:5 http://archive.raspberrypi.org jessie/main armhf Packages [156 kB]
    Get:6 http://www.promixis.com wheezy/main armhf Packages [1,790 B]
    Get:7 http://archive.raspberrypi.org jessie/ui armhf Packages [57.9 kB]
    Get:8 http://www.promixis.com wheezy/main Translation-en_GB
    Ign http://archive.raspberrypi.org jessie/main Translation-en_GB
    Get:9 http://www.promixis.com wheezy/main Translation-en
    Ign http://archive.raspberrypi.org jessie/main Translation-en
    Get:10 http://www.promixis.com wheezy/main Translation-en_GB
    Ign http://archive.raspberrypi.org jessie/ui Translation-en_GB
    Ign http://archive.raspberrypi.org jessie/ui Translation-en
    Get:11 http://www.promixis.com wheezy/main Translation-en
    Get:12 http://www.promixis.com wheezy/main Translation-en_GB
    Get:13 http://www.promixis.com wheezy/main Translation-en
    Get:14 http://www.promixis.com wheezy/main Translation-en_GB
    Get:15 http://www.promixis.com wheezy/main Translation-en
    Get:16 http://www.promixis.com wheezy/main Translation-en_GB
    Ign http://www.promixis.com wheezy/main Translation-en_GB
    Get:17 http://www.promixis.com wheezy/main Translation-en
    Ign http://www.promixis.com wheezy/main Translation-en
    Get:18 http://mirrordirector.raspbian.org jessie/contrib armhf Packages [43.2 kB]
    Get:19 http://mirrordirector.raspbian.org jessie/non-free armhf Packages [84.2 kB]
    Get:20 http://mirrordirector.raspbian.org jessie/rpi armhf Packages [1,356 B]
    Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_GB
    Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
    Ign http://mirrordirector.raspbian.org jessie/main Translation-en_GB
    Ign http://mirrordirector.raspbian.org jessie/main Translation-en
    Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_GB
    Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
    Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en_GB
    Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
    Fetched 9,913 kB in 16s (598 kB/s)
    Reading package lists... Done
    root@raspberrypi:/home/pi# apt-get install girder
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    girder : Depends: qt5-girder (>= 5.3.2-1) but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    root@raspberrypi:/home/pi#

    </code>

  9. #9
    Join Date
    Jan 1998
    Location
    Jupiter, FL
    Posts
    13,553

    Default

    Ah I see, you're trying to install the wheezy source, not the jessie source. Edit your promixis.list file to contain:

    Code:
    deb http://www.promixis.com/repo/debian/jessie jessie main
    Ron
    No support through PM

  10. #10
    Join Date
    Sep 2008
    Posts
    150

    Default

    Woops! Don' know what happened there. I'm sure I followed the link correctly, but I must have picked up the wrong image file.
    I'm up and running and playing..
    Cheers
    Jon

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •